> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete group properties

> Deletes the properties set within a group.

**Required scopes:** <Tooltip tip="If the requester's Client ID matches the namespace.">`properties.group.value--my:rw`</Tooltip> <Tooltip tip="If the requester's Client ID doesn't match the namespace. Allows deleting all properties from your namespace and public properties from other namespaces.">`properties.group.value--all:rw`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/delete_group_properties
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/delete_group_properties:
    post:
      tags:
        - Properties
      summary: Delete group properties
      description: Deletes the properties set within a group.
      operationId: delete-group-properties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteGroupPropertiesRequest'
            example:
              id: 1
              properties:
                0805e283233042b37f460ed8fbf22160:
                  - string_property
      responses:
        '200':
          description: Group properties deleted successfully.
components:
  schemas:
    DeleteGroupPropertiesRequest:
      type: object
      required:
        - id
        - properties
      properties:
        id:
          type: integer
          description: The ID of the group you delete properties from.
        properties:
          $ref: '#/components/schemas/PropertyNamespaceNamesMap'
    PropertyNamespaceNamesMap:
      type: object
      description: >-
        An object with namespaces as keys and arrays of property names as
        values.
      additionalProperties:
        type: array
        items:
          type: string
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````